Skip to main content
POST
/
v2
/
workspace
/
webhookconfig
/
get
Get Webhook Config
curl --request POST \
  --url https://api.velt.dev/v2/workspace/webhookconfig/get \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>'
{
  "result": {
    "status": "success",
    "message": "Webhook configuration retrieved successfully.",
    "data": {
      "useWebhookService": false,
      "webhookServiceConfig": {
        "authToken": "",
        "rawNotificationUrl": "",
        "processedNotificationUrl": ""
      }
    }
  }
}
Use this API to retrieve the current webhook service configuration for a workspace.
This endpoint uses API-key-level auth: pass x-velt-api-key and x-velt-auth-token as headers. You can obtain these from the Get Auth Tokens endpoint.

Endpoint

POST https://api.velt.dev/v2/workspace/webhookconfig/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

This endpoint does not require a request body.

Example Request

{
  "data": {}
}

Example Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Webhook configuration retrieved successfully.",
    "data": {
      "useWebhookService": false,
      "webhookServiceConfig": {
        "authToken": "",
        "rawNotificationUrl": "",
        "processedNotificationUrl": ""
      }
    }
  }
}

Failure Response

{
  "error": {
    "status": "PERMISSION_DENIED",
    "message": "Invalid API key."
  }
}
{
  "result": {
    "status": "success",
    "message": "Webhook configuration retrieved successfully.",
    "data": {
      "useWebhookService": false,
      "webhookServiceConfig": {
        "authToken": "",
        "rawNotificationUrl": "",
        "processedNotificationUrl": ""
      }
    }
  }
}